/*--------------------------------------------------------*/
/*                      COPROZ.C                          */
/* ermittelt das Systemstatuswort ber den Interrupt 11h  */
/*        (c) 1990  Ulrich Schmitz  & TOOLBOX             */
/*--------------------------------------------------------*/
#include<stdio.h>
#include<dos.h>
#define SYSTEM 0x11

typedef unsigned char byte;
void main()
{
   byte coproz;
   union REGS regs;
   struct SREGS segregs;
   int86(SYSTEM, &regs, &regs);
   printf("Konfigurations-Wort: %Xh\n", regs.x.ax);
   coproz = regs.h.al << 6;
   coproz = coproz >> 7;

   if (coproz) printf ("Coprozessor vorhanden!\n");
      else printf("Coprozessor nicht vorhanden!\n");
}
/* ------------------------------------------------------ */
/*                  Ende von COPROZ.C                     */
